From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 18 July 2011<P>

Yeah, I'm on google+.<BR>
<BR>
I dunno, kinda just annoying to have another thing to decide to keep up with or not..
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 18 July 2011<P>

Now try Spotify Kirk...tho they are going to let you play with it for free for six months and then limit your use or you pay..which is like Pandora.<BR>
<BR>
I know what you mean about google+ but I find facebook and myspace more than annoying. I use it to keep up with distant family so I thought I would use google+ for friends. <BR>
<BR>
bk
<HR>